# DataRepeaterItemCloneEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ItemCloning](/api/wisej.web/containers/datarepeater.md#itemcloning) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataRepeaterItemCloneEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataRepeaterItemCloneEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataRepeaterItemCloneEventArgs(source)

Initializes a new instance of the [DataRepeaterItemCloneEventArgs](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemcloneeventargs.md) class.

| Name       | Type                                                                                     | Description                                                                                                        |
| ---------- | ---------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| **source** | [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) | The [ItemTemplate](/api/wisej.web/containers/datarepeater.md#itemtemplate) from which the new item will be cloned. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Handled

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets a value that specifies whether the cloning is handled by the developer.

### ![](/files/hsR4ok3152WyAf8J2C1u) Source

[DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md): Gets the [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) from which the new [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) will be cloned.

### ![](/files/hsR4ok3152WyAf8J2C1u) Target

[DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md): Gets or sets the new [DataRepeaterItem](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritem.md) that is the result of the cloning operation.

## Used By

| Name                                                                                                                       | Description                                                                                                            |
| -------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| [DataRepeaterItemCloneEventHandler](/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemcloneeventhandler.md) | Represents the method that will handle the [ItemCloning](/api/wisej.web/containers/datarepeater.md#itemcloning) event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/datarepeater/wisej.web.datarepeateritemcloneeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
